# -*- coding: iso_8859_1 -*-

import astro
import numpy as np

#-------------------------------------------------------------------------------------
#	Code calculating the ROnoise from a collection of offset frames
#-------------------------------------------------------------------------------------

Folder = u"C:\\Documents and Settings\\jerome caron\\Desktop\\Perso astro\\21fev2011\\sources\\dark\\"
Imagelist = ["offset-" + str(i+1) + ".fit" for i in range(20)]

#-------------------------------------------------------------------------------------
#loading images
bias = astro.getdata(Folder, Imagelist)

#calculating mean values
mean = np.mean(np.mean(bias, axis=1), axis=1)
print mean
print np.mean(mean)

#calculating RO noise
ROnoise = np.zeros(len(Imagelist)-1) 
for i in range(0,len(Imagelist)-1):
	x = bias[i+1,:,:]-bias[i,:,:]
	x.flatten()
	ROnoise[i] = np.std(x)/np.sqrt(2.)
print ROnoise
print np.mean(ROnoise)

raw_input('Press Enter to close')
