# -*- coding: iso_8859_1 -*-

import astro
import numpy as np

#------ input parameters ------
Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\15mar2011\\processing\\Chryseis\\"
Imagelist = ["Chryseis-calibrated-" + str(i+1) + ".fit" for i in range(11)]
Imagelist2 = ["Chryseis-calibrated-" + str(i+1) + "(2).fit" for i in range(11)]

#------ loads data and headers ------
images = astro.getdata(Folder, Imagelist)
headers = astro.getheaders(Folder, Imagelist)

#------ save (eventually modified) image list under new name ------
astro.save_fits(images, headers, Folder, Imagelist2)
astro.save_fits(images[0,:,:], [headers[0]], Folder, [Imagelist2[0]])

raw_input()